<?php
include_once("../../../payton/config.php");
header('Content-Type: application/json');

$tax_rate = 8;
$tax_name = "Tax";

$products = array();
$products['small coffee'] = 1.10;
$products['large coffee'] = 2.00;
$products['cappuccino'] = 2.00;
$products['croissant'] = 2.50;
$products['grilled cheese'] = 3.00;

// Alexa Should be posting JSON data to us?
$http_request = json_decode(file_get_contents('php://input'));

$response_array = array();

$response_array['version'] = "1.0";
$response_array['response'] = array();


if(isset($http_request->request)){


  if(isset($http_request->request->intent->name)){

    
    //Lets go through the known intents.
    if($http_request->request->intent->name == 'QuickCheckout'){

      //Check for Dollars
      if(isset($http_request->request->intent->slots->Dollars->value)){
        $dollars = (int)$http_request->request->intent->slots->Dollars->value;
      }else{
        $dollars = 0;
      }

      //Check for Cents
      if(isset($http_request->request->intent->slots->Cents->value)){
        $cents = (int)$http_request->request->intent->slots->Cents->value;
      }else{
        $cents = 0;
      }

      $total = $dollars + ($cents/100);

      if($total < 1){
              $text_body = "<speak>Sorry. The minimum checkout is $1</speak>";
      }else{ //we can checkout this amount
        $taxes = round($total * ($tax_rate/100), 2);
        $grand_total = $total + $taxes;

        $inq = "INSERT INTO `pos_requests` (`id`, `merchant_id`, `type`, `amount`, `created`, `received`) VALUES (NULL, '1', 'checkout', '$grand_total', NOW(), '0');";
        mysqli_query($DB_LINK, $inq);

        $text_body = "<speak>Sure. The total including $tax_rate% $tax_name is ".'$'.$grand_total;
        //$text_body .= '<audio src="https://nommio.com/app/alexa/pos/ready.mp3" />';
        $text_body .= '<break time="300ms"/>';
        $text_body .= "Use the card reader to insert, swipe, or tap now.</speak>";
      }


      

      $response_array['response']['outputSpeech'] = array(
      'type' => 'SSML',
      'ssml' => $text_body
      );


    }elseif($http_request->request->intent->name == 'ProductCheckout'){
      
      //Check for Product
      if(isset($http_request->request->intent->slots->Product->value)){

        $product = $http_request->request->intent->slots->Product->value;
        if(!isset($products[$product])){
          $text_body = "<speak>Sorry. I do not recognize that product.</speak>";
        }else{

          if(isset($http_request->request->intent->slots->Quantity->value)){
            $quantity = (int)$http_request->request->intent->slots->Quantity->value;
          }else{
            $quantity = 1;
          }

          $total = $quantity * $products[$product];
          $taxes = round($total * ($tax_rate/100), 2);
          $grand_total = $total + $taxes;

          $inq = "INSERT INTO `pos_requests` (`id`, `merchant_id`, `type`, `amount`, `created`, `received`) VALUES (NULL, '1', 'checkout', '$grand_total', NOW(), '0');";
          mysqli_query($DB_LINK ,$inq);

          $text_body = "<speak>Sure. The total for $quantity $product including $tax_rate% $tax_name is ".'$'.$grand_total;
          $text_body .= '<break time="300ms"/>';
          $text_body .= "Use the card reader to insert, swipe, or tap now.</speak>";


        }
      }else{
        $text_body = "Sorry. I do not receive a product";
      }


      $response_array['response']['outputSpeech'] = array(
      'type' => 'SSML',
      'ssml' => $text_body
      );


    }else{
      $sentance = "Sorry. CashEAR does not know that intent.";

      $response_array['response']['outputSpeech'] = array(
        'type' => 'PlainText',
        'text' => $sentance
      );
    }


  }else{
    $sentance = "You can say.. Ask History for an interesting fact. Or. Ask History what happened on March 5th.";

    $response_array['response']['outputSpeech'] = array(
      'type' => 'PlainText',
      'text' => $sentance
    );
  }


}else{
  $sentance = "Sorry. CashEAR did not get any data.";
  $response_array['response']['outputSpeech'] = array(
    'type' => 'PlainText',
    'text' => $sentance
  );

}



$response_array['response']['shouldEndSession'] = true;
$response_array['sessionAttributes'] = (object) array();

echo json_encode($response_array);