<?php

  include_once('config.php');
  include_once('square_functions.php');

  //We should be able to get the merchant from the cookie
  if(isset($_COOKIE['cashEAR']) && !empty($_COOKIE['cashEAR'])){

    $user_data = json_decode(base64_decode($_COOKIE['cashEAR']), true);

    $device_code = create_square_device_code();

  }else{ // no cookie go back to the login page.

    header('location: /cashear/index.php?error=Please+login+again.');

  }


?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style type="text/css">
      body {
        padding-top: 20px;
        padding-bottom: 40px;
      }

      /* Custom container */
      .container-narrow {
        margin: 0 auto;
        max-width: 700px;
      }
      .container-narrow > hr {
        margin: 30px 0;
      }

      /* Main marketing message and sign up button */
      .jumbotron {
        margin: 60px 0;
        text-align: center;
      }
      .jumbotron h1 {
        font-size: 72px;
        line-height: 1;
      }
      .jumbotron .btn {
        font-size: 21px;
        padding: 14px 24px;
      }

      /* Supporting marketing content */
      .marketing {
        margin: 60px 0;
      }
      .marketing p + h4 {
        margin-top: 28px;
      }
    </style>


    <title>CashEAR - POS Voice Assistant</title>
  </head>
  <body>

    <div class="container-narrow">

      <div class="masthead">
        <h3 class="muted" style="text-align:center;"><img src="img/cashear-logo.png" height="250px" alt="CashEAR" /></h3>
      </div>

      <hr>

      <div class="jumbotron">
        <h4> <?=$user_data['merchant']['business_name']; ?> </h4>
        <p class="lead">Use the pairing code below to login on your terminal.</p>
        <h3> <?=$device_code['device_code']['code']; ?> </h3>
        <img src ="https://images.ctfassets.net/2d5q1td6cyxq/1X5kgXKT2nFLAo4qeNDVSD/c0e60454a868e780798cc83cadec7b8d/SHOP_CAEN_Product_Square_Terminal_Gallery-01.png?w=1600&h=1000&q=80&fm=webp" width="100%">

      </div>

      <hr>

      <div class="row-fluid marketing">
        <div class="span6">
          <h4>Voice Control Next Steps</h4>
          <p>When setting up your ALEXA Skill please reference the following.</p>
          <p><strong>Square Merchant ID:</strong> <?=$user_data['merchant']['id']; ?></p>
          <p><strong>Square Location ID:</strong> <?=$user_data['merchant']['main_location_id']; ?></p>
          <p><strong>Square Pairing Code:</strong> <?=$device_code['device_code']['code']; ?></p>

          <br><hr>
          <em>Sadly this is not self servicable in the hackathon demo as the alexa skill is not public. <br>
          However these would be the configuration values needed to plugin in the future. </em>
        </div>

      </div>

      <hr>

      <div class="footer">
        <p>&copy; Payable Inc 2021</p>
        <p><a href="logout.php">Log Out</a></p>
      </div>

    </div> <!-- /container -->

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
  </body>
</html>
