<?php

$debug = false;

include_once('config.php');
include_once('square_functions.php');

//These are some things we use across all page
$title = "Connection Complete - Square";
$source_app = 'cashear';
// When this page loads there should be a bunch of GET parameters which are included from Square

// The most important is the state that we will filled with all of the info
if(isset($_GET['code'])){

	$code = $_GET['code'];
	$merchant = true;

	if(1==1){
		$square_environment = 'testing';
	}else{
		$square_environment = 'production';
	}

	if(isset($_GET['code']) && !empty($_GET['code'])){


		$post_body = '{
		    "client_id": "'.$SQUARE_CONFIG[$square_environment]['client_id'].'",
		    "client_secret": "'.$SQUARE_CONFIG[$square_environment]['client_secret'].'",
		    "code": "'.$_GET['code'].'",
		    "grant_type": "authorization_code"
		  }';

		$curl = curl_init();

		curl_setopt_array($curl, array(
		  CURLOPT_URL => 'https://'.$SQUARE_CONFIG[$square_environment]['api_domain'].'/oauth2/token',
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'POST',
		  CURLOPT_POSTFIELDS => $post_body,
		  CURLOPT_HTTPHEADER => array(
		    'Square-Version: 2021-09-21',
		    'Content-Type: application/json'
		  ),
		));

		$response = curl_exec($curl);

		$info = curl_getinfo($curl);

        curl_close($curl);

		$auth_response_array = json_decode($response, true);
		
		//print_r($auth_response_array);


		if(isset($auth_response_array['access_token'])){

			$merchant_details = get_merchant_details($auth_response_array['merchant_id'], $auth_response_array['access_token'], $square_environment);


			if(isset($merchant_details['merchant'])){  //This is good

			$square_merchant_id = $merchant_details['merchant']['id'];
			if(isset($merchant_details['merchant']['owner_email'])){
				$square_email = $merchant_details['merchant']['owner_email'];
			}else{
				$square_email = $merchant_details['merchant']['business_name'];
			}
			
			$square_country = $merchant_details['merchant']['country'];
			$square_currency = $merchant_details['merchant']['currency'];

			if($merchant_details['merchant']['status'] == 'ACTIVE'){
				$square_account_active = 1;	
			}else{
				$square_account_active = 0;	
			}

			$configuration_vars_encoded = base64_encode(json_encode(array_merge($merchant_details, $auth_response_array)));
			
			//For the hackathon lets just save them in a cookie instead of DB
			setcookie("cashEAR", $configuration_vars_encoded, time()+3600 * 24 * 7);

			}else{
				$setup_error = true;
				$error_message = "Square Said: ".$merchant_details['errors'][0]['detail'];
			}



		}else{

			$setup_error = true;
			if(isset($response_array['message'])){
				$error_message = "Square Said: ".$response_array['message'];
			}else{
				$error_message = "Unable to get an access token. Please try again.";
			}


		}



	}else{
		$setup_error = true;
		if(isset($_GET['error_description']) && !empty($_GET['error_description'])){
			$error_message = "Square Said: ".$_GET['error_description'];
		}else{
			$error_message = "Missing Code from URL on return.";
		}
		
	}




}else{
	$merchant = false;
	$source_title = "a Payable App";
}


if(isset($setup_error) && $setup_error){
	header('location: /cashear/index.php?error='.urlencode($error_message));
}else{
	header('location: /cashear/app.php');
}

?>
