<?php

  include_once('config.php');
  include_once('square_functions.php');

  //We should be able to get the merchant from the cookie
  if(isset($_COOKIE['cashEAR']) && !empty($_COOKIE['cashEAR'])){

    $user_data = json_decode(base64_decode($_COOKIE['cashEAR']), true);

    //Lets ensure we have a generous customer group setup for big tippers.
    $generous_customer_group = get_or_create_customer_group('generous');


  }else{ // no cookie go back to the login page.

    header('location: /cashear/index.php?error=Please+login+again.');

  }


?>
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style type="text/css">
      body {
        padding-top: 20px;
        padding-bottom: 40px;
      }

      /* Custom container */
      .container-narrow {
        margin: 0 auto;
        max-width: 700px;
      }
      .container-narrow > hr {
        margin: 30px 0;
      }

      /* Main marketing message and sign up button */
      .jumbotron {
        margin: 60px 0;
        text-align: center;
      }
      .jumbotron h1 {
        font-size: 72px;
        line-height: 1;
      }
      .jumbotron .btn {
        font-size: 21px;
        padding: 14px 24px;
      }

      /* Supporting marketing content */
      .marketing {
        margin: 60px 0;
      }
      .marketing p + h4 {
        margin-top: 28px;
      }
    </style>


    <title>CashEAR - POS Voice Assistant</title>
  </head>
  <body>

    <div class="container-narrow">

      <div class="masthead">
        <h3 class="muted" style="text-align:center;"><img src="img/cashear-logo.png" height="250px" alt="CashEAR" /></h3>
      </div>

      <hr>

      <div class="jumbotron">
        <h4> <?=$user_data['merchant']['business_name']; ?> </h4>
        <p id="descript" class="lead">Click the button below to get started. </p>
        <button id="start-button" class="btn btn-large btn-success" onClick="check_for_tips();">Listen for Tips</button>
        <h3 id='status' style="display: none;" class="listening">LOADING</h3>
      </div>

      <hr>

      <div class="row-fluid marketing">
        <div class="span6">
          <h4>Clinq Test Audio</h4>
          <button class="btn btn-large btn-success" onClick="normal_tip.play();">Normal Tip</button>
          <button class="btn btn-large btn-success" onClick="generous_tip.play();">Generous Tip</button>
          <p><em>(Click one. Some browsers need you to do this first to get audio to flow)</em></p>
          <h4>Generous Customer Group</h4>
          <p>We automatically setup a generous customer group for you with the following details.</p>
          <p><strong>Square Customer Group ID:</strong> <?=$generous_customer_group['group']['id']; ?></p>
          <p><strong>Group Name:</strong> generous</p>
          <h4>How to test</h4>
          <p>In Square Sandbox the best way is to go into your <a href="https://squareupsandbox.com/dashboard/terminal" target="_blank">Square Virtual Terminal</a>.</p>
          <p>Then create a transaction with a tip there and it will be picked up here. </p> 
        </div>

      </div>

      <hr>

      <div class="footer">
        <p>&copy; Payable Inc 2021</p>
        <p><a href="logout.php">Log Out</a></p>
      </div>

    </div> <!-- /container -->

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


    <script type="text/javascript">
      
      //We will load up these audio files.
      var normal_tip = new Audio('audio/normal-tip.wav');
      var generous_tip = new Audio('audio/generous-tip.wav');


      $( document ).ready(function() {
          //$('#status').text('READY');
          //check_for_tips();
      });

      function check_for_tips(){

        $('#start-button').hide();

        $('#descript').text('Now Listening for Tips.')

        $('#status').show();

        $('#status').text('CHECKING');

        $.getJSON( "recent_payments.php", function( data ) {

          console.log(data);

          if (data.success){
            if(data.tips[0].type == 'generous'){
              $('#status').text('FOUND A GENEROUS TIP');
              $('#status').css('color', 'green');
              generous_tip.play();
            }else{
              $('#status').text('FOUND A TIP');
              $('#status').css('color', 'green');
              normal_tip.play();
            }
            
          }else{
            $('#status').text('NO RECENT TIPS FOUND');
            $('#status').css('color', 'gray');
          }

          setTimeout(function(){ check_for_tips(); }, 5000);

        });


      }

    </script>






  </body>
</html>
